<template>
  <div id="app">
    <Navbar />
    <router-view />
  </div>
</template>

<script>
import Navbar from '@/components/Navbar.vue'

export default {
  name: 'app',
  components: { Navbar },
  watch: {
    $route(_to, _from) {
      // Try to refresh JWT if necessary on route switch to keep user logged in
      this.$store.dispatch('refreshJwt')

      // Scroll back to top of page on route switch for better UX
      document.body.scrollTop = document.documentElement.scrollTop = 0
    }
  },
  created() {
    // Try to refresh JWT if necessary on page load to keep user logged in
    this.$store.dispatch('refreshJwt')
  }
}
</script>

<style lang='sass' scoped>
  #app
    height: 100%
</style>
